///////////////////////////////////////////////////////////////////////////////////////
//  volume
#pragma region Volume
/******* set LDRs to current volume *******/
void setVolume(byte vol) {

bool goHighL, goHighR, goLowL, goLowR;
byte i = vol - 2;

if (isMuted == vol || (isMuted && vol))
setMute(vol);

if (vol == 1 || vol == 0) {
setLSE_Range(HIGH); setLSE(2);
setRSE_Range(HIGH); setRSE(2);
setLSH_Range(LOW); setLSH(200);
setRSH_Range(LOW); setRSH(200);

}
else if (vol == VOL_MAX_STEP) {
setLSE_Range(HIGH); setLSE(255); setLSH_Range(HIGH); setLSH(0);
setRSE_Range(HIGH); setRSE(255); setRSH_Range(HIGH); setRSH(0);
}
else {
goLowL = dataL[i].i_SH >= 32768 && LSHrange == HIGH;
goLowR = dataR[i].i_SH >= 32768 && RSHrange == HIGH;
goHighL = dataL[i].i_SH < 32768 && LSHrange == LOW;
goHighR = dataR[i].i_SH < 32768 && RSHrange == LOW;

setLSE_Range(HIGH); setLSE(dataL[i].pw_SE);
setRSE_Range(HIGH); setRSE(dataR[i].pw_SE);

////// LEFT SHUNT
      setLSH(dataL[i].pw_SH);       //Volume turning down range change
      if (goLowL) {
        delay(2);
        setLSH_Range(LOW);
      }
      else if (goHighL) {           //Volume turning up range
        delay (6);
        setLSH_Range(HIGH);
      }

////// RIGHT SHUNT 
 
      setRSH(dataR[i].pw_SH);
      if (goLowR) {                 //Volume turning down range change
        delay(8);
        setRSH_Range(LOW);
      }
      else if (goHighR) {           //Volume turning up range  
        delay(4);
        setRSH_Range(HIGH);
      }
      mil_onSetLDR = millis();
  }
  drawVolume(volume);
}

void toggleMute() {
if (isMuted)
setVolume(volume);
else
setMute(0);
}

#pragma endregion
